Works great - but not with Firefox 5 Rated 4 out of 5 stars

Very annoying: Firefox 5 has been released, but the extension is not marked as compatible with the new version.

This review is for a previous version of the add-on (4.0.3.1-signed).